Delen via


Integration Runtime Nodes - Get Ip Address

Haal het IP-adres op van het zelf-hostende Integration Runtime-knooppunt.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/microsoft.DataFactory/factories/{factoryName}/integrationRuntimes/{integrationRuntimeName}/nodes/{nodeName}/ipAddress?api-version=2018-06-01

URI-parameters

Name In Vereist Type Description
factoryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$
integrationRuntimeName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$
nodeName
path True

string

minLength: 1
maxLength: 150
pattern: ^[a-z0-9A-Z][a-z0-9A-Z_-]{0,149}$

De naam van het integration runtime-knooppunt.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

IntegrationRuntimeNodeIpAddress

Azure-operatie succesvol voltooid.

Other Status Codes

CloudError

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

IntegrationRuntimeNodes_GetIpAddress

Voorbeeldaanvraag

POST https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/microsoft.DataFactory/factories/exampleFactoryName/integrationRuntimes/exampleIntegrationRuntime/nodes/Node_1/ipAddress?api-version=2018-06-01

Voorbeeldrespons

Date: Thu, 14 Jun 2018 15:36:39 GMT
X-Content-Type-Options: nosniff
x-ms-correlation-request-id: f01265af-9f38-44b8-81a1-b67f567ea728
x-ms-ratelimit-remaining-subscription-writes: 1199
x-ms-request-id: f01265af-9f38-44b8-81a1-b67f567ea728
{
  "ipAddress": "**********"
}

Definities

Name Description
CloudError

Het object dat de structuur van een Azure Data Factory-foutreactie definieert.

IntegrationRuntimeNodeIpAddress

Het IP-adres van het zelf-hostende Integration Runtime-knooppunt.

CloudError

Het object dat de structuur van een Azure Data Factory-foutreactie definieert.

Name Type Description
error.code

string

Foutcode.

error.details

CloudError[]

Matrix met aanvullende foutdetails.

error.message

string

Foutmelding.

error.target

string

Eigenschapsnaam/pad in aanvraag die is gekoppeld aan een fout.

IntegrationRuntimeNodeIpAddress

Het IP-adres van het zelf-hostende Integration Runtime-knooppunt.

Name Type Description
ipAddress

string

Het IP-adres van het zelf-hostende Integration Runtime-knooppunt.